using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text.RegularExpressions;

/// <summary>
/// Summary description for Controller
/// </summary>
public class Controller
{
	public Controller()
	{
		//
		// TODO: Add constructor logic here
		//
	}

    public bool IsValidEmailAddress(string pEmail)
    {
        Regex regex = new Regex(@"^[\w-\.]+@([\w-]+\.)+[\w-]{2,4}$");
        return regex.IsMatch(pEmail);
    }
}